<?php
/**
 * Search & Filter Pro 
 *
 * Sample Results Template
 * 
 * @package   Search_Filter
 * @author    Ross Morsali
 * @link      http://www.designsandcode.com/
 * @copyright 2014 Designs & Code
 * 
 * Note: these templates are not full page templates, rather 
 * just an encapsulation of your results loop which should
 * be inserted in to other pages by using a shortcode - think 
 * of it as a template part
 * 
 * This template is an absolute base example showing you what
 * you can do, for more customisation see the WordPress docs 
 * and using template tags - 
 * 
 * http://codex.wordpress.org/Template_Tags
 *
 */

function get_taxonomy_values($taxonomy_key)
{
	global $wp_query;
	global $wpdb;
	
	if(isset($wp_query->query[$taxonomy_key]))
	{
		if (strpos(esc_attr($wp_query->query[$taxonomy_key]),',') !== false)
		{
			$ochar = ",";
			$taxterms = explode($ochar, esc_attr(($wp_query->query[$taxonomy_key])));
			
			$taxlabels = array();
			foreach ($taxterms as $taxterm)
			{
				$taxlabel = $wpdb->get_var("SELECT name FROM $wpdb->terms WHERE slug='".$taxterm."'");
				array_push($taxlabels, $taxlabel);
			}
			
			return implode(" or ", $taxlabels);
		}
		else
		{
			$ochar = "+";
			$taxterms = explode($ochar, esc_attr(urlencode($wp_query->query[$taxonomy_key])));
			
			$taxlabels = array();
			foreach ($taxterms as $taxterm)
			{
				$taxlabel = $wpdb->get_var("SELECT name FROM $wpdb->terms WHERE slug='".$taxterm."'");
				array_push($taxlabels, $taxlabel);
			}
			
			return implode(" or ", $taxlabels);
		}
	}
}

echo get_taxonomy_values("_sft_pa_size");
if ( $query->have_posts() )
{
	echo "<pre>";
	echo $query->query['s'];
	echo "</pre>";
	?>
	
	Found <?php echo $query->found_posts; ?> Results<br />
	Page <?php echo $query->query['paged']; ?> of <?php echo $query->max_num_pages; ?><br />
	
	<div class="pagination">
		
		<div class="nav-previous"><?php next_posts_link( 'Older posts', $query->max_num_pages ); ?></div>
		<div class="nav-next"><?php previous_posts_link( 'Newer posts' ); ?></div>
		<?php
			/* example code for using the wp_pagenavi plugin */
			if (function_exists('wp_pagenavi'))
			{
				echo "<br />";
				wp_pagenavi( array( 'query' => $query ) );
			}
		?>
	</div>
	
	<?php
	while ($query->have_posts())
	{
		$query->the_post();
		
		?>
		<div>
			<h2><a href="<?php the_permalink(); ?>"><?php the_ID(); ?>. <?php the_title(); ?></a></h2>
			
			<p><br /><?php the_excerpt(); ?><p>
			<?php 
				if ( has_post_thumbnail() ) {
					echo '<p>';
					the_post_thumbnail("small");
					echo '</p>';
				}
			?>
			<p><?php the_category(); ?><p>
			<p><?php the_tags(); ?><p>
			<p><small><?php the_date(); ?></small><p>
			
		</div>
		
		<hr />
		<?php
	}
	?>
	Page <?php echo $query->query['paged']; ?> of <?php echo $query->max_num_pages; ?><br />
	
	<div class="pagination">
		
		<div class="nav-previous"><?php next_posts_link( 'Older posts', $query->max_num_pages ); ?></div>
		<div class="nav-next"><?php previous_posts_link( 'Newer posts' ); ?></div>
		<?php
			/* example code for using the wp_pagenavi plugin */
			if (function_exists('wp_pagenavi'))
			{
				echo "<br />";
				wp_pagenavi( array( 'query' => $query ) );
			}
		?>
	</div>
	<?php
}
else
{
	echo "No Results Found";
}
?>